Package com.ads.mm.db.dao

# Class DBSchema

java.lang.Object
com.ads.mm.db.dao.DBSchema

public class DBSchema extends Object
This class provides some beans control methods related to Environments, Schemas and Tables, Views, Synonyms, Components.

Author:
  AnalytiX DS

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DBSchema()`
  `DBSchema(String schemaName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addTable(DBTable table)`
  Adds Table as specified in DBTable Object.
  `void`
  `addTableByReferenceId(DBTable table)`
  Adds Table as specified in DBTable Object.
  `void`
  `addTables(Collection<DBTable> values)`
  Adds the Tables as specified as Collection of DBTable Objects.
  `HashMap<DBTable.TableType,List<DBTable>>`
  `getAllLists()`
  Returns the List of DBTable.
  `DBTable`
  `getComponent(String componentName)`
  Returns the DBTable Object for the specified componentName.
  `HashMap<String,DBTable>`
  `getComponentMap()`
  Returns the HashMap of hmComponents.
  `List<DBTable>`
  `getComponents()`
  Returns the Components.
  `DBEnvironment`
  `getEnvironment()`
  Returns the DBEnvironment Object.
  `DBTable`
  `getObject(String objectName)`
  `String`
  `getSchemaName()`
  Returns the schemaName.
  `DBTable`
  `getSynonym(String synonymName)`
  Returns the DBTable Object for the specified synonymName.
  `HashMap<String,DBTable>`
  `getSynonymMap()`
  Returns the HashMap of Synonyms.
  `List<DBTable>`
  `getSynonyms()`
  Returns the synonyms.
  `DBTable`
  `getTable(DBTable.TableType type, String tableName)`
  Returns the DBTable Object for the specified TableType and tableName.
  `DBTable`
  `getTable(String tableName)`
  Returns the DBTable object for the specified tableName.
  `HashMap<String,DBTable>`
  `getTableMap()`
  Returns the HashMap of hmTables.
  `List<DBTable>`
  `getTables()`
  Returns the List of DBTable Objects.
  `List<DBTable>`
  `getTables(DBTable.TableType[] tableTypes)`
  Returns the List of DBTables
  `DBTable`
  `getView(String viewName)`
  Returns the DBTable Object for the specified viewName.
  `HashMap<String,DBTable>`
  `getViewMap()`
  Returns the HashMap of hmViews.
  `List<DBTable>`
  `getViews()`
  Returns the List of DBTable Object
  `void`
  `setEnvironment(DBEnvironment dbEnvironment)`
  Sets the dbEnvironment as specified.
  `void`
  `setSchemaName(String schemaName)`
  Sets the schemaName as specified.
  `String`
  `toString()`
  Returns the string representation.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DBSchema

    public DBSchema()

  - ### DBSchema

    public DBSchema(String schemaName)
    Parameters:
      `schemaName` -

- ## Method Details

  - ### getAllLists

    public HashMap<DBTable.TableType,List<DBTable>> getAllLists()
    Returns the List of DBTable. DBTable can be TABLE, VIEW, SYNONYM.
    Returns:
      HashMap

  - ### getSchemaName

    public String getSchemaName()
    Returns the schemaName.
    Returns:
      schemaName String

  - ### setSchemaName

    public void setSchemaName(String schemaName)
    Sets the schemaName as specified.
    Parameters:
      `schemaName` - String

  - ### getTableMap

    public HashMap<String,DBTable> getTableMap()
    Returns the HashMap of hmTables.
    Returns:
      hmTables

  - ### getTable

    public DBTable getTable(String tableName)
    Returns the DBTable object for the specified tableName.
    Parameters:
      `tableName` - String
    Returns:
      DBTable Object

  - ### getTables

    public List<DBTable> getTables()
    Returns the List of DBTable Objects.
    Returns:
      List

  - ### getViewMap

    public HashMap<String,DBTable> getViewMap()
    Returns the HashMap of hmViews.
    Returns:
      HashMap hmViews

  - ### getView

    public DBTable getView(String viewName)
    Returns the DBTable Object for the specified viewName.
    Parameters:
      `viewName` - String
    Returns:
      DBTable Object

  - ### getViews

    public List<DBTable> getViews()
    Returns the List of DBTable Object
    Returns:
      List

  - ### getSynonymMap

    public HashMap<String,DBTable> getSynonymMap()
    Returns the HashMap of Synonyms.
    Returns:
      HashMap - hmSynonyms

  - ### getSynonym

    public DBTable getSynonym(String synonymName)
    Returns the DBTable Object for the specified synonymName.
    Parameters:
      `synonymName` - String
    Returns:
      DBTable

  - ### getSynonyms

    public List<DBTable> getSynonyms()
    Returns the synonyms.
    Returns:
      List

  - ### getComponentMap

    public HashMap<String,DBTable> getComponentMap()
    Returns the HashMap of hmComponents.
    Returns:
      HashMap - hmComponents

  - ### getComponent

    public DBTable getComponent(String componentName)
    Returns the DBTable Object for the specified componentName.
    Parameters:
      `componentName` - String
    Returns:
      DBTable

  - ### getComponents

    public List<DBTable> getComponents()
    Returns the Components.
    Returns:
      List

  - ### getTable

    public DBTable getTable(DBTable.TableType type, String tableName)
    Returns the DBTable Object for the specified TableType and tableName.
    Parameters:
      `type` - DBTable
      `tableName` - String
    Returns:
      DBTable

  - ### addTable

    public void addTable(DBTable table)
    Adds Table as specified in DBTable Object.
    Parameters:
      `table` - DBTable

  - ### addTableByReferenceId

    public void addTableByReferenceId(DBTable table)
    Adds Table as specified in DBTable Object.
    Parameters:
      `table` - DBTable

  - ### getTables

    public List<DBTable> getTables(DBTable.TableType[] tableTypes)
    Returns the List of DBTables
    Parameters:
      `tableTypes` - DBTable Object
    Returns:
      List

  - ### addTables

    public void addTables(Collection<DBTable> values)
    Adds the Tables as specified as Collection of DBTable Objects.
    Parameters:
      `values` - Collection

  - ### toString

    public String toString()
    Returns the string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      String

  - ### getEnvironment

    public DBEnvironment getEnvironment()
    Returns the DBEnvironment Object.
    Returns:
      dbEnvironment

  - ### setEnvironment

    public void setEnvironment(DBEnvironment dbEnvironment)
    Sets the dbEnvironment as specified.
    Parameters:
      `dbEnvironment` - DBEnvironment

  - ### getObject

    public DBTable getObject(String objectName)